## posixsignalmanager 0.3

=== meson_options.txt ===
option('system-catch2', type : 'feature', value : 'disabled')

=== debian/changelog ===
posixsignalmanager (0.3-4build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 12:47:38 +0100

posixsignalmanager (0.3-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:40:02 +1100

posixsignalmanager (0.3-4build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:31:25 +0000

posixsignalmanager (0.3-4) unstable; urgency=medium

  * Add support for catch2 version-3.x (Closes: #1053768)
  * Update patch to support riscv from upstream.

 -- Christoph Hueffelmann <chr@istoph.de>  Sun, 15 Oct 2023 00:00:14 +0200

posixsignalmanager (0.3-3) unstable; urgency=medium

  * Add patch to disable overeager SIGFPE test on s390x to facilitate testing
    migration of tuiwidgets before the freeze.

 -- Christoph Hueffelmann <chr@istoph.de>  Thu, 09 Feb 2023 22:46:58 +0100

posixsignalmanager (0.3-2) unstable; urgency=medium

  * debian/patches: Add upstream patch: Build fixes for non x86 architectures.

 -- Christoph Hueffelmann <chr@istoph.de>  Sat, 04 Feb 2023 21:56:42 +0100

posixsignalmanager (0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1027294)

 -- Christoph Hueffelmann <chr@istoph.de>  Thu, 29 Dec 2022 23:50:40 +0200

=== debian/control ===
Source: posixsignalmanager
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christoph Hueffelmann <chr@istoph.de>
Section: libs
Priority: optional
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends:
  debhelper-compat (=13),
  meson,
  ninja-build,
  pkg-config,
  qt5-qmake,
  qttools5-dev-tools,
  qtbase5-dev,
  catch2
Homepage: https://github.com/textshell/posixsignalmanager
Vcs-Git: https://salsa.debian.org/chr/posixsignalmanager.git
Vcs-Browser: https://salsa.debian.org/chr/posixsignalmanager

Package: libposixsignalmanager0a
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: posix signal handling for qt - shared library
 Library safe, synchronous and asynchronous handling of posix signals
 for Qt applications and libraries.
 .
 This package contains the shared libraries necessary to run programs
 compiled with posixsignalmanager.

Package: libposixsignalmanager-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libposixsignalmanager0a (= ${binary:Version}), ${misc:Depends}
Description: posix signal handling for qt - headers
 Library safe, synchronous and asynchronous handling of posix signals
 for Qt applications and libraries.
 .
 This package contains the header files and symbolic links need for
 building software using posixsignalmanager.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/posixsignalmanager-$1\.tar\.gz/ \
  https://github.com/textshell/posixsignalmanager/tags .*/v?(\d\S+)\.tar\.gz

## posixsignalmanager 0.3.1

=== meson_options.txt ===
# SPDX-License-Identifier: BSL-1.0

option('qt', type : 'combo', choices : ['qt5', 'qt6'], value : 'qt5', yield: true)
option('system-catch2', type : 'feature', value : 'disabled')
option('tests', type : 'boolean', value : true)

=== debian/changelog ===
posixsignalmanager (0.3.1-1) unstable; urgency=medium

  * New Upstream Version 0.3.1
  * Add Qt6 sub-packages
    * libposixsignalmanager-qt6-0a
    * libposixsignalmanager-qt6-dev
  * Move Qt5 header file to /usr/include/posixsignalmanager

 -- Christoph Hueffelmann <chr@istoph.de>  Wed, 24 Sep 2025 17:09:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: posixsignalmanager
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Hueffelmann <chr@istoph.de>
+Maintainer: Christoph Hueffelmann <chr@istoph.de>
 Section: libs
 Priority: optional
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Build-Depends:
   debhelper-compat (=13),
   meson,
   ninja-build,
-  pkg-config,
+  pkgconf,
   qt5-qmake,
   qttools5-dev-tools,
   qtbase5-dev,
+  qmake6,
+  qt6-base-dev,
+  qt6-tools-dev-tools,
   catch2
 Homepage: https://github.com/textshell/posixsignalmanager
 Vcs-Git: https://salsa.debian.org/chr/posixsignalmanager.git
@@ -40,3 +41,26 @@
  .
  This package contains the header files and symbolic links need for
  building software using posixsignalmanager.
+
+Package: libposixsignalmanager-qt6-0a
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Description: posix signal handling for Qt6 - shared library
+ Library safe, synchronous and asynchronous handling of posix signals
+ for Qt6 applications and libraries.
+ .
+ This package contains the shared libraries necessary to run programs
+ compiled with posixsignalmanager for Qt6.
+
+Package: libposixsignalmanager-qt6-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libposixsignalmanager-qt6-0a (= ${binary:Version}), ${misc:Depends}
+Description: posix signal handling for Qt6 - headers
+ Library safe, synchronous and asynchronous handling of posix signals
+ for Qt6 applications and libraries.
+ .
+ This package contains the header files and symbolic links needed for
+ building software using posixsignalmanager with Qt6.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-qt5 -- -Dsystem-catch2=enabled -Dqt=qt5
	dh_auto_configure --builddirectory=build-qt6 -- -Dsystem-catch2=enabled -Dqt=qt6

override_dh_auto_build:
	dh_auto_build --builddirectory=build-qt5
	dh_auto_build --builddirectory=build-qt6

override_dh_auto_install:
	dh_auto_install --builddirectory=build-qt5
	dh_auto_install --builddirectory=build-qt6

override_dh_install:
	dh_install --sourcedir=build-qt5/debian/tmp --package=libposixsignalmanager0a
	dh_install --sourcedir=build-qt5/debian/tmp --package=libposixsignalmanager-dev
	dh_install --sourcedir=build-qt6/debian/tmp --package=libposixsignalmanager-qt6-0a
	dh_install --sourcedir=build-qt6/debian/tmp --package=libposixsignalmanager-qt6-dev

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-qt5
	dh_auto_clean --builddirectory=build-qt6

=== debian/tests/control ===
Test-Command: debian/tests/selftests qt5
Depends: @, build-essential, meson, ninja-build, pkgconf, qt5-qmake, qttools5-dev-tools, qtbase5-dev, catch2
Restrictions: allow-stderr

Test-Command:  debian/tests/selftests qt6
Depends: @, build-essential, meson, ninja-build, pkgconf, catch2, qmake6, qt6-base-dev, qt6-tools-dev-tools
Restrictions: allow-stderr
